package com.supervision.nxllmcommon.config;

import io.minio.MinioClient;
import okhttp3.OkHttpClient;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.TimeUnit;

@Configuration
public class MinioConfig {

    /**
     * 创建基于Java端的MinioClient
     */
    @Bean
    @ConditionalOnProperty(prefix = "minio", name = "url")
    public MinioClient minioClient(MinioProperties minioProperties) {
        OkHttpClient.Builder builder = new OkHttpClient.Builder();
        builder.connectTimeout(60, TimeUnit.SECONDS);
        builder.readTimeout(120, TimeUnit.SECONDS);
        builder.callTimeout(120, TimeUnit.SECONDS);
        return MinioClient.builder().endpoint(minioProperties.getUrl())
                .httpClient(builder.build())
                .credentials(minioProperties.getAccessKey(), minioProperties.getSecretKey())
                .build();
    }


}
